<?php

function getOnlineUsers($_RELATIVE_PATH, $_SESSION)
{
   include "$_SESSION.conf";
   define("MAX_IDLE_TIME", $_TEMPO_LIMITE);

   $_OLD_SESSION_SAVE_PATH = session_save_path();
   $_PATH_USERS_ONLINE_COUNT = $_RELATIVE_PATH . "/" . $_SESSION;

   @session_save_path($_PATH_USERS_ONLINE_COUNT);

   @session_cache_limiter('private_no_expire');
   @session_start();

   if ( $directory_handle = opendir( session_save_path() ) )
   {
     
     $_USUARIOS_ON_LINE = $_VALOR_INICIAL;

     while ( false !== ( $file = readdir( $directory_handle ) ) )
     {
       if($file != '.' && $file != '..')
       { 
         $_HORA_ATUAL = time();
         $_HORA_DE_ULTIMO_ACESSO = @fileatime(session_save_path() . '/' . $file);
         if ( ($_HORA_ATUAL - $_HORA_DE_ULTIMO_ACESSO) < (MAX_IDLE_TIME * 60) )
         {
           $_USUARIOS_ON_LINE++;
         }
       }
     }

     closedir($directory_handle);
     session_save_path($_OLD_SESSION_SAVE_PATH);
     return $_USUARIOS_ON_LINE;

   }
   else
   {
      return false;
   }
}

?>